SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
DataStructures::Table::Row Struct Reference

Stores the list of cells for this row, and a special flag used for internal sorting. More...

`#include <slikenet/DS_Table.h>`

## Public Member Functions

void | UpdateCell (unsigned columnIndex, double value)
| Numeric.
void | UpdateCell (unsigned columnIndex, const char *str)
| String.
void | UpdateCell (unsigned columnIndex, int byteLength, const char *data)
| Binary.

## Public Attributes

DataStructures::List< Cell * > | cells

## Detailed Description

Stores the list of cells for this row, and a special flag used for internal sorting.

Definition at line 126 of file DS_Table.h.

## Member Function Documentation

void Table::Row::UpdateCell | ( | unsigned | columnIndex,
|  | double | value
| ) |  |

Numeric.

Definition at line 265 of file DS_Table.cpp.

Referenced by DataStructures::Table::UpdateCell(), and DataStructures::Table::UpdateCellByIndex().

void Table::Row::UpdateCell | ( | unsigned | columnIndex,
|  | const char * | str
| ) |  |

String.

Definition at line 274 of file DS_Table.cpp.

void Table::Row::UpdateCell | ( | unsigned | columnIndex,
|  | int | byteLength,
|  | const char * | data
| ) |  |

Binary.

Definition at line 279 of file DS_Table.cpp.

## Member Data Documentation

DataStructures::List<Cell*> DataStructures::Table::Row::cells

Definition at line 129 of file DS_Table.h.

Referenced by DataStructures::Table::AddRow(), DataStructures::Table::AddRowColumns(), DataStructures::Table::DeleteRow(), SLNet::TableSerializer::DeserializeRow(), ExtendRows(), FreeRow(), DataStructures::Table::GetCellValueByIndex(), DataStructures::Table::operator=(), DataStructures::Table::PrintRow(), DataStructures::Table::QueryRow(), DataStructures::Table::RemoveColumn(), RowSort(), and SLNet::TableSerializer::SerializeRow().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/DS_Table.h
- Source/src/DS_Table.cpp